package ru.dbotthepony.mc.otm.compat.jei

import com.mojang.blaze3d.vertex.PoseStack
import mezz.jei.api.gui.drawable.IDrawable
import ru.dbotthepony.mc.otm.client.render.StretchingRectangleElement

class StretchingDrawable(val element: StretchingRectangleElement, val rectWidth: Int, val rectHeight: Int) : IDrawable {
	override fun getWidth(): Int {
		return rectWidth
	}

	override fun getHeight(): Int {
		return rectHeight
	}

	override fun draw(poseStack: PoseStack, xOffset: Int, yOffset: Int) {
		element.render(poseStack, xOffset.toFloat(), yOffset.toFloat(), rectWidth.toFloat(), rectHeight.toFloat())
	}
}
